<?php

namespace General\Services\SendOrder;

use General\Models\SendOrder\SendOrder;

class SendOrderService
{
    public function companyAuthSendOrders(array $params)
    {
        return SendOrder::where('created_at', '>=', $params['begin_date'])
            ->where('created_at', '<=', $params['end_date'])
            ->where('distribution_channel_id', $params['channel_id'])
            ->orderBy('id', 'desc')
            ->paginate(100);
    }

    /**
     * 根据站点查找对应派单信息
     */
    public function findSendOrderByChannels(int $send_order_id, array $channel_ids)
    {
        return SendOrder::whereIn('distribution_channel_id', $channel_ids)
            ->where('id', $send_order_id)
            ->select('name', 'distribution_channel_id', 'book_id', 'book_name', 'chapter_id')
            ->first();
    }
}
